Bug 188283 - [patch] x11-wm/spectrwm outdated
Summary: [patch] x11-wm/spectrwm outdated
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Niclas Zeising
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-05 10:00 UTC by Account Removed
Modified: 2014-04-06 08:50 UTC (History)
1 user (show)

See Also:


Attachments
ports_x11-wm_spectrwm.tar.bz2 (2.99 KB, text/plain)
2014-04-05 10:00 UTC, Account Removed
no flags Details
spectrwm.diff (1.47 KB, patch)
2014-04-05 12:31 UTC, Account Removed
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Account Removed 2014-04-05 10:00:00 UTC
x11-wm/spectrwm is oudated (On author's site - 2.5.0, in ports - 2.4.0).
Maintainer does not respond to the updated version being sent.

Fix: Updated port is included.
How-To-Repeat: Mail the maintainer with updated port.
Comment 1 Edwin Groothuis freebsd_committer 2014-04-05 10:00:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->zeising

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Niclas Zeising freebsd_committer 2014-04-05 10:07:12 UTC
I am working on this, however I am also occupied with more pressing
matters.  Does this update solve any specific issues?
Also, please send patches as plain text, that way it is easier to review
them.
Regards!
-- 
Niclas
Comment 3 Account Removed 2014-04-05 12:31:11 UTC
On Sat, Apr 05, 2014 at 11:07:12AM +0200, Niclas Zeising wrote:
> I am working on this, however I am also occupied with more pressing
> matters.  Does this update solve any specific issues?

It incorporated several patches, one of them fixes a bug that prevents users
from removing keybinds.

Thank you for your reply!
Comment 4 Niclas Zeising freebsd_committer 2014-04-05 12:33:34 UTC
On 04/05/14 13:31, Michael Danilov wrote:
> On Sat, Apr 05, 2014 at 11:07:12AM +0200, Niclas Zeising wrote:
>> I am working on this, however I am also occupied with more pressing
>> matters.  Does this update solve any specific issues?
> 
> It incorporated several patches, one of them fixes a bug that prevents users
> from removing keybinds.
> 
> Thank you for your reply!
> 

I'll try to get to it later tonight or tomorrow then.
Thanks for the report and your help!
Regards!
-- 
Niclas Zeising
Comment 5 dfilter service freebsd_committer 2014-04-06 08:45:07 UTC
Author: zeising
Date: Sun Apr  6 07:45:03 2014
New Revision: 350341
URL: http://svnweb.freebsd.org/changeset/ports/350341
QAT: https://qat.redports.org/buildarchive/r350341/

Log:
  Update to 2.5.0
  
  PR:		ports/188283
  Submitted by:	Michael Danilov <mike.d.ft402@gmail.com>

Modified:
  head/x11-wm/spectrwm/Makefile
  head/x11-wm/spectrwm/distinfo
  head/x11-wm/spectrwm/files/patch-spectrwm.c

Modified: head/x11-wm/spectrwm/Makefile
==============================================================================
--- head/x11-wm/spectrwm/Makefile	Sun Apr  6 07:25:30 2014	(r350340)
+++ head/x11-wm/spectrwm/Makefile	Sun Apr  6 07:45:03 2014	(r350341)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	spectrwm
-PORTVERSION=	2.4.0
+PORTVERSION=	2.5.0
 CATEGORIES=	x11-wm
 MASTER_SITES=	https://opensource.conformal.com/snapshots/${PORTNAME}/
 EXTRACT_SUFX=	.tgz

Modified: head/x11-wm/spectrwm/distinfo
==============================================================================
--- head/x11-wm/spectrwm/distinfo	Sun Apr  6 07:25:30 2014	(r350340)
+++ head/x11-wm/spectrwm/distinfo	Sun Apr  6 07:45:03 2014	(r350341)
@@ -1,2 +1,2 @@
-SHA256 (spectrwm-2.4.0.tgz) = 5e530e3f69af1649e8b2d0734dce456ff95ce182196cc1e030c9760396b0d83e
-SIZE (spectrwm-2.4.0.tgz) = 112193
+SHA256 (spectrwm-2.5.0.tgz) = 14a97dfb63076ab411f30d058bec86cadad57db783fa52e4eb1e73abbe3c1c08
+SIZE (spectrwm-2.5.0.tgz) = 116520

Modified: head/x11-wm/spectrwm/files/patch-spectrwm.c
==============================================================================
--- head/x11-wm/spectrwm/files/patch-spectrwm.c	Sun Apr  6 07:25:30 2014	(r350340)
+++ head/x11-wm/spectrwm/files/patch-spectrwm.c	Sun Apr  6 07:45:03 2014	(r350341)
@@ -1,6 +1,6 @@
---- spectrwm.c.orig	2013-04-29 23:55:24.573913339 +0200
-+++ spectrwm.c	2013-04-29 23:55:44.031914326 +0200
-@@ -6316,7 +6316,7 @@
+--- spectrwm.c.orig	2014-04-06 09:43:33.000000000 +0200
++++ spectrwm.c	2014-04-06 09:43:33.000000000 +0200
+@@ -7008,7 +7008,7 @@
  void
  setup_spawn(void)
  {
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Niclas Zeising freebsd_committer 2014-04-06 08:45:24 UTC
State Changed
From-To: open->closed

Committed. Thanks!